scrub-obsolete Package - ruby-rack-test

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/ruby-rack-test scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index fedbe7d..504b6d7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -15,6 +15,9 @@ ruby-rack-test (0.7.0-2) UNRELEASED; urgency=medium
   * Update standards version to 4.1.1, no changes needed.
   * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
     Repository-Browse.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on ruby-rack.
+    + ruby-rack-test: Drop versioned constraint on ruby-rack in Depends.
 
  -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 13 Aug 2019 06:47:00 +0530
 
diff --git a/debian/control b/debian/control
index 251f8a6..72bdc22 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,7 @@ Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper-compat (= 12),
                gem2deb,
                rake,
-               ruby-rack (>= 1.0) | ruby-rack1.4,
+               ruby-rack | ruby-rack1.4,
                ruby-rspec,
                ruby-sinatra,
                rubocop,
@@ -21,7 +21,7 @@ Package: ruby-rack-test
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
-         ruby-rack (>= 1.0) | ruby-rack1.4,
+         ruby-rack | ruby-rack1.4,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Simple testing API built on Rack

Run locally

Try this locally (using the lintian-brush package):

debcheckout ruby-rack-test
cd ruby-rack-test
deb-scrub-obsolete

More details

Full run details